
BIBD Merchant Portal - Bug #16597

[MA-5][IOS] Lack of Screen Caching Prevention

30 May 2023 04:26 PM - Nor Khairun Aqila Jesmen

Status: Closed Start date: 02 June 2023

Priority: High Due date: 02 June 2023

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 2.00 hours

Description

Description:

The application may expose sensitive information via the app switcher.

Recommendation:

Overlay an image as the application enters the background state or explicitly mark the fields hidden via the View Controller.

Fixes:

Remove sensitive information from views before moving to the background.

https://stackoverflow.com/a/7520307

Apply on package Merchant Portal App version 1.0

History

#1 - 02 June 2023 02:25 PM - Rafly Prayogos

- File RPReplay_Final1685686424.MP4 added

- Status changed from New to Resolved

- Assignee changed from Rafly Prayogos to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

SIT build -> https://i.diawi.com/Swq1Zv

#2 - 02 June 2023 04:43 PM - Nor Khairun Aqila Jesmen

- Status changed from Resolved to Closed

- Assignee changed from Nor Khairun Aqila Jesmen to wanansari wanansari

Tested good

Files

MA-5 iOS.png 286 KB 30 May 2023 Nor Khairun Aqila Jesmen

RPReplay_Final1685686424.MP4 14.3 MB 02 June 2023 Rafly Prayogos
